/*
** Snake pe LCD
** George Matei 332CA
** PM 2016
** 
*/
#define F_CPU 12000000

#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <avr/pgmspace.h>
#include <stdio.h>
#include <stdlib.h>
#include "lcd.h"

void input_init()
{
	DDRD &= ~ (1 << PD1);
	PORTD |= (1 << PD1);
	
	DDRD &= ~ (1 << PD4);
	PORTD |= (1 << PD4);
	
	DDRD &= ~ (1 << PD0);
	PORTD |= (1 << PD0);
	
	DDRD &= ~ (1 << PD5);
	PORTD |= (1 << PD5);
	
}

int main(void) {
	
	input_init();

	lcd_init();
	lcd_contrast(0x40);
	
	while (1) {
		lcd_goto_xy(1,1);
		lcd_str("Press any key to start the  ");
		lcd_str("game");
		// UP
        if ((PIND & (1 << PD0)) == 0) {
			break;
		}
    
		// LEFT
		if ((PIND & (1 << PD1)) == 0) {
			break;
		}
    
		// RIGHT
		if ((PIND & (1 << PD4)) == 0) {
			break;
			
		}
    
		// DOWN
		if ((PIND & (1 << PD5)) == 0) {
			break;
		}
		
		_delay_ms(20);
    }
}
